MQObjectName (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: MQObjectName

Package com.sun.messaging.jms.management.server

# Class MQObjectName

java.lang.Object
com.sun.messaging.jms.management.server.MQObjectName

public class MQObjectName extends Object
Utility class for manipulating Message Queue MBean Object Names.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BROKER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the Broker Config MBean.
  `static final String`
  `BROKER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the Broker Monitor MBean.
  `static final String`
  `CLUSTER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the Cluster Config MBean.
  `static final String`
  `CLUSTER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the Cluster Monitor MBean.
  `static final String`
  `CONNECTION_MANAGER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the ConnectionManager Config MBean.
  `static final String`
  `CONNECTION_MANAGER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the ConnectionManager Monitor MBean.
  `static final String`
  `CONSUMER_MANAGER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the ConsumerManager Config MBean.
  `static final String`
  `CONSUMER_MANAGER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the ConsumerManager Monitor MBean.
  `static final String`
  `DESTINATION_MANAGER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the DestinationManager Config MBean.
  `static final String`
  `DESTINATION_MANAGER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the DestinationManager Monitor MBean.
  `static final String`
  `JVM_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the JVM Monitor MBean.
  `static final String`
  `LOG_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the Log Config MBean.
  `static final String`
  `LOG_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the Log Monitor MBean.
  `static final String`
  `PRODUCER_MANAGER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the ProducerManager Config MBean.
  `static final String`
  `PRODUCER_MANAGER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the ProducerManager Monitor MBean.
  `static final String`
  `SERVICE_MANAGER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the ServiceManager Config MBean.
  `static final String`
  `SERVICE_MANAGER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the ServiceManager Monitor MBean.
  `static final String`
  `TRANSACTION_MANAGER_CONFIG_MBEAN_NAME`
  String representation of the ObjectName for the TransactionManager Config MBean.
  `static final String`
  `TRANSACTION_MANAGER_MONITOR_MBEAN_NAME`
  String representation of the ObjectName for the TransactionManager Monitor MBean.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObjectName`
  `createConnectionConfig(String id)`
  Creates ObjectName for specified connection configuration MBean.
  `static ObjectName`
  `createConnectionMonitor(String id)`
  Creates ObjectName for specified connection monitoring MBean.
  `static ObjectName`
  `createDestinationConfig(String destinationType, String destinationName)`
  Creates ObjectName for destination configuration MBean.
  `static ObjectName`
  `createDestinationMonitor(String destinationType, String destinationName)`
  Creates ObjectName for specified destination monitor MBean.
  `static ObjectName`
  `createServiceConfig(String serviceName)`
  Creates ObjectName for service configuration MBean.
  `static ObjectName`
  `createServiceMonitor(String serviceName)`
  Creates ObjectName for service monitoring MBean.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BROKER_CONFIG_MBEAN_NAME

    public static final String BROKER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the Broker Config MBean.
    See Also:
      - Constant Field Values

  - ### CONNECTION_MANAGER_CONFIG_MBEAN_NAME

    public static final String CONNECTION_MANAGER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the ConnectionManager Config MBean.
    See Also:
      - Constant Field Values

  - ### CONSUMER_MANAGER_CONFIG_MBEAN_NAME

    public static final String CONSUMER_MANAGER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the ConsumerManager Config MBean.
    See Also:
      - Constant Field Values

  - ### SERVICE_MANAGER_CONFIG_MBEAN_NAME

    public static final String SERVICE_MANAGER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the ServiceManager Config MBean.
    See Also:
      - Constant Field Values

  - ### DESTINATION_MANAGER_CONFIG_MBEAN_NAME

    public static final String DESTINATION_MANAGER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the DestinationManager Config MBean.
    See Also:
      - Constant Field Values

  - ### CLUSTER_CONFIG_MBEAN_NAME

    public static final String CLUSTER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the Cluster Config MBean.
    See Also:
      - Constant Field Values

  - ### LOG_CONFIG_MBEAN_NAME

    public static final String LOG_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the Log Config MBean.
    See Also:
      - Constant Field Values

  - ### PRODUCER_MANAGER_CONFIG_MBEAN_NAME

    public static final String PRODUCER_MANAGER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the ProducerManager Config MBean.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_MANAGER_CONFIG_MBEAN_NAME

    public static final String TRANSACTION_MANAGER_CONFIG_MBEAN_NAME
    String representation of the ObjectName for the TransactionManager Config MBean.
    See Also:
      - Constant Field Values

  - ### BROKER_MONITOR_MBEAN_NAME

    public static final String BROKER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the Broker Monitor MBean.
    See Also:
      - Constant Field Values

  - ### SERVICE_MANAGER_MONITOR_MBEAN_NAME

    public static final String SERVICE_MANAGER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the ServiceManager Monitor MBean.
    See Also:
      - Constant Field Values

  - ### DESTINATION_MANAGER_MONITOR_MBEAN_NAME

    public static final String DESTINATION_MANAGER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the DestinationManager Monitor MBean.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_MANAGER_MONITOR_MBEAN_NAME

    public static final String TRANSACTION_MANAGER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the TransactionManager Monitor MBean.
    See Also:
      - Constant Field Values

  - ### CONNECTION_MANAGER_MONITOR_MBEAN_NAME

    public static final String CONNECTION_MANAGER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the ConnectionManager Monitor MBean.
    See Also:
      - Constant Field Values

  - ### CONSUMER_MANAGER_MONITOR_MBEAN_NAME

    public static final String CONSUMER_MANAGER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the ConsumerManager Monitor MBean.
    See Also:
      - Constant Field Values

  - ### PRODUCER_MANAGER_MONITOR_MBEAN_NAME

    public static final String PRODUCER_MANAGER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the ProducerManager Monitor MBean.
    See Also:
      - Constant Field Values

  - ### JVM_MONITOR_MBEAN_NAME

    public static final String JVM_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the JVM Monitor MBean.
    See Also:
      - Constant Field Values

  - ### CLUSTER_MONITOR_MBEAN_NAME

    public static final String CLUSTER_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the Cluster Monitor MBean.
    See Also:
      - Constant Field Values

  - ### LOG_MONITOR_MBEAN_NAME

    public static final String LOG_MONITOR_MBEAN_NAME
    String representation of the ObjectName for the Log Monitor MBean.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createServiceConfig

    public static ObjectName createServiceConfig(String serviceName) throws MalformedObjectNameException
    Creates ObjectName for service configuration MBean.
    Parameters:
      `serviceName` - Name of service.
    Returns:
      ObjectName of Service MBean
    Throws:
      `NullPointerException`
      `MalformedObjectNameException`

  - ### createServiceMonitor

    public static ObjectName createServiceMonitor(String serviceName) throws MalformedObjectNameException
    Creates ObjectName for service monitoring MBean.
    Parameters:
      `serviceName` - Name of service.
    Returns:
      ObjectName of Service MBean
    Throws:
      `NullPointerException`
      `MalformedObjectNameException`

  - ### createDestinationConfig

    public static ObjectName createDestinationConfig(String destinationType, String destinationName) throws MalformedObjectNameException
    Creates ObjectName for destination configuration MBean.
    Parameters:
      `destinationType` - Type of destination. One of DestinationType.TOPIC, DestinationType.QUEUE.
      `destinationName` - Name of destination.
    Returns:
      ObjectName of service MBean
    Throws:
      `NullPointerException`
      `MalformedObjectNameException`

  - ### createDestinationMonitor

    public static ObjectName createDestinationMonitor(String destinationType, String destinationName) throws MalformedObjectNameException
    Creates ObjectName for specified destination monitor MBean.
    Parameters:
      `destinationType` - Type of destination. One of DestinationType.TOPIC, DestinationType.QUEUE.
      `destinationName` - Name of destination.
    Returns:
      ObjectName of DestinationMonitor MBean
    Throws:
      `NullPointerException`
      `MalformedObjectNameException`

  - ### createConnectionConfig

    public static ObjectName createConnectionConfig(String id)
    Creates ObjectName for specified connection configuration MBean.
    Parameters:
      `id` - Connection ID
    Returns:
      ObjectName of ConnectionConfig MBean

  - ### createConnectionMonitor

    public static ObjectName createConnectionMonitor(String id)
    Creates ObjectName for specified connection monitoring MBean.
    Parameters:
      `id` - Connection ID
    Returns:
      ObjectName of ConnectionMonitor MBean